
/**
 * Erste Schritte mit JAVA
 * Diese Klasse erzeugt bunte Kreisobjekte mit dem Radius radius und dem Mittelpunkt (x, y) sowie der Farbe mit der Nummer farbe
 * 
 * @author (Dr. Kiesmüller) 
 * @version (0.1)
 */
public class Kreis
{
    // Deklarierung der Variablen
    private int radius;
    private int x;
    private int y;
    private int farbe;

    /**
     * Konstruktor für Objekte der Klasse Kreis
     * Radius, x- und y-Koordinate des Mittelpunkts und die Farbnummer sind als natürliche Zahlen anzugeben
     */
    public Kreis(int r, int x, int y, int fn)
    {
        // Initialisierung der Variablen
        radius = r;
        this.x = x;
        this.y = y;
        farbe = fn;
    }
    
    /**
     * Konstruktor für Objekte der Klasse Kreis
     * Radius, x- und y-Koordinate des Mittelpunkts sind als natürliche Zahlen anzugeben
     */
    public Kreis(int r, int x, int y)
    {
        // Initialisierung der Variablen
        radius = r;
        this.x = x;
        this.y = y;
    }
    
     /**
     * Konstruktor für Objekte der Klasse Kreis - nur Farbe und Radius sind wählbar
     * Radius und Farbnummer sind als natürliche Zahlen anzugeben
     */
    public Kreis(int r, int fn)
    {
        // Initialisierung der Variablen
        radius = r;
        farbe = fn;
    }
    
    /**
     * Konstruktor für Objekte der Klasse Kreis - nur Farbe und Radius sind wählbar
     * Radius und Farbnummer sind als natürliche Zahlen anzugeben
     */
    public Kreis()
    {
        // Initialisierung der Variablen
    }

    /**
     * Methode zur Bekanntgabe des Radius
     * 
     * @return radius       Wert des Radius
     */
    public int gibRadius()
    {
        return radius;
    }
    
    /**
     * Methode zur Bekanntgabe der x-Koordinate des Mittelpunkts
     * 
     * @return x       x-Koordinate des Mittelpunkts
     */
    public int gibX()
    {
        return x;
    }
    
    /**
     * Methode zur Festlegung der x-Koordinate des Mittelpunkts
     * 
     * @param x       x-Koordinate des Mittelpunkts
     */
    public void setzeX(int x)
    {
        this.x = x;
    }
    
    /**
     * Methode zur Bekanntgabe der y-Koordinate des Mittelpunkts
     * 
     * @return y       y-Koordinate des Mittelpunkts
     */
    public int gibY()
    {
        return y;
    }
    
     /**
     * Methode zur Festlegung der y-Koordinate des Mittelpunkts
     * 
     * @param y       y-Koordinate des Mittelpunkts
     */
    public void setzeY(int y)
    {
        this.y = y;
    }
    
    
    /**
     * Methode zur Bekanntgabe der Farbnummer
     * 
     * @return farbe       Farbnummer der Farbe des Kreises
     */
    public int gibFarbe()
    {
        return farbe;
    }
}
